# -*- coding: utf-8 -*-
#
# File: GoReplacements.py
#
# Copyright (c) 2007 by []
# Generator: ArchGenXML Version 1.5.1-svn
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

__author__ = """Georg Gogo. BERNHARD <g.bernhard@akbild.ac.at>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.GoReplace.config import *

# additional imports from tagged value 'import'
from Products.ATContentTypes.content.topic import ATTopic

##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

GoReplacements_schema = BaseFolderSchema.copy() + \
    getattr(ATTopic, 'schema', Schema(())).copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class GoReplacements(ATTopic):
    """
    """
    security = ClassSecurityInfo()
    __implements__ = (getattr(ATTopic,'__implements__',()),)

    # This name appears in the 'add' box
    archetype_name = 'GoReplacements'

    meta_type = 'GoReplacements'
    portal_type = 'GoReplacements'
    allowed_content_types = ['GoReplacement'] + list(getattr(ATTopic, 'allowed_content_types', []))
    filter_content_types = 1
    global_allow = 1
    content_icon = 'go_tool.png'
    immediate_view = 'base_view'
    default_view = 'folder_contents'
    suppl_views = ()
    typeDescription = "GoReplacements"
    typeDescMsgId = 'description_edit_goreplacements'


    actions =  (


       {'action': "string:${object_url}/show_items",
        'category': "object",
        'id': 'show_items',
        'name': 'show_items',
        'permissions': ("View",),
        'condition': 'python:1'
       },


    )

    _at_rename_after_creation = True

    schema = GoReplacements_schema

    ##code-section class-header #fill in your manual code here
    actions += ATTopic.actions
    allowed_content_types = ['GoReplacement']
    ##/code-section class-header

    # Methods


registerType(GoReplacements, PROJECTNAME)
# end of class GoReplacements

##code-section module-footer #fill in your manual code here
##/code-section module-footer



